﻿@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.MaEnqFollow>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>

@{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
string refadd = CommonUtil.HomeAddress(utype);
}
<table>
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.ReferId)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Remarks)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.NextDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.FollowUpType)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.CDate)
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.ReferId)
            </td>
            <td>
                @*@Html.DisplayFor(modelItem => item.Remarks)*@

                @{
        string rem = item.Remarks;
        if (rem != null)
        {
            if (rem.Length > 20)
            {
                string sustrg = rem.Substring(0, 20);
                @sustrg
                    <br />
                    @*<a id="remarks" onclick="GetRemarks(@item.Id);">Read-More...</a>*@
                    <div class="box">
                        <a id="remarks">Read-More...</a>
                        <div class="overlay">
                            @rem
                        </div>
                    </div>
            }
            else
            {
                @rem
            }
        }
                }
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.NextDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.FollowUpType)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CDate)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { id = item.Id }) |
                @Html.ActionLink("Details", "Details", new { id = item.Id }) |
                @{if (utype == CommonUtil.UserTypeSuperAdmin)
                {
                    @Html.ActionLink("Delete", "Delete", new { id = item.Id })
                }
                }
            </td>
        </tr>
    }

</table>
